<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwDipPublicationContents Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=utf-8">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwDipPublicationContents.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      This panel is used to display the details about the DIP publication at a
      given address.</p>
      <p>It is also used to select the fields of the publication.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2">In the upper part of the panel the publication address
      is being displayed.</p>
      <p>The middle section of the panel contains the table with all the fields
      in the publication and their data-types.</p>
      <p>Double-clicking on the row with any field will populate the two text boxes
      in the lower part of the panel. If the &quot;use selected field&quot; is
      visible (<a href="#$bBrowser">$bBrowser</a> is set to 0), clicking it will
      return data about selected row to the calling panel.</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2">
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<div align="center">
  <center>
<table border="0" style="border-collapse: collapse" bordercolor="#111111" cellpadding="0" cellspacing="0">
  <tbody>
    <tr>
      <td width="0" height="0">
        <div align="center">
          <img
 src="fwDipPublicationContents.PNG" alt="Panel screenshot" width="553" height="405"></div>
      </td>
    </tr>
  </tbody>
</table>
  </center>
</div>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td><a name="$sPublicationAddress">$sPublicationAddress</a></td>
      <td>Specifies the address of the DIP publication.</td>
      <td>Required</td>
    </tr>
    <tr>
      <td><a name="$bBrowser">$bBrowser</a></td>
      <td>Specifies whether the &quot;use selected field&quot; button is visible
      	<p>TRUE - The &quot;use selected field&quot; button is hidden.</p>
	<p>FALSE - The &quot;use selected field&quot; button is visible.<br>
        </td>
      <td>Required</td>
    </tr>
    <tr>
      <td><a name="$iInvokedFromMain">$iInvokedFromMain</a></td>
      <td>Specifies whether the panel will query the API manager for the
      	publication contents or it is being passed as a $-parameters from some
	previous query.
        </td>
      <td>Optional</td>
    </tr>
    <tr>
      <td><a name="$sFieldName">$sFieldName</a></td>
      <td>Contains a dyn_string with all the field names in the publication
          converted into a string.
      </td>
      <td>Required <b>if $iInvokedFromMain is defined</b></td>
    </tr>
    <tr>
      <td><a name="$iFieldType">$iFieldType</a></td>
      <td>Contains a dyn_int with all the field types in the publication
          converted into a string.
      </td>
      <td>Required <b>if $iInvokedFromMain is defined</b></td>
    </tr>
    <tr>
      <td><a name="$sApiManagerDp">$sApiManagerDp</a></td>
      <td>Contains the DIP API Manager config DP - which is needed to execute
          a DIP query.
      </td>
      <td>Required <b>if $iInvokedFromMain is <i>not</i> defined</b></td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>